Package pygccxml :: Package parser :: Module directory_cache :: Class filename_entry_t

# ClassType filename_entry_t

source code

This is a record stored in the filename_repository_t class.

The class is an internal class used in the implementation of the filename_repository_t class and it just serves as a container for the file name and the reference count.

Instance Methods

__init__(self, filename) Constructor. | source code

__getstate__(self) | source code

__setstate__(self, state) | source code

inc_ref_count(self) Increase the reference count by 1. | source code

dec_ref_count(self) Decrease the reference count by 1 and return the new count. | source code

Method Details

### __init__(self, filename)
(Constructor)

source code

Constructor.

The reference count is initially set to 0.